{% load humanize %}

<table class="mt-3">
    <thead>
    <tr>
        <th>Sr. No.</th>
        <th>Amount</th>
        <th>Description</th>
        <th>Date Created</th>
        <th>Action</th>
    </tr>
    </thead>
    <tbody>
    {% for contrib in contribs %}
    <tr>
        <td scope="row" data-title="Sr. No.">{{ forloop.counter0|add:contribs.start_index }}</td>
        <td data-title="Amount">{{ contrib.amount|intcomma }}</td>
        <td data-title="Description">{{ contrib.description }}</td>
        <td data-title="Date">{{ contrib.date_created }}</td>
        <td><div class="form-row">
                    <a href="{% url 'view_contrib' %}?id={{ contrib.id }}"
                       class="btn btn-primary btn-rounded waves-effect btn-sm px-3">
                        <i class="fas fa-info-circle fa-1x mr-1"></i>Details
                    </a>
                    <a href="{% url 'update_contrib' contrib.staff_id.id contrib.id %}"
                       class="btn btn-danger btn-rounded waves-effect btn-sm px-3"><i
                            class="fas fa-pen fa-1x mr-1"></i>Update
                    </a>
                    <a href="{% url 'del_contrib' contrib.id %}"
                       class="btn btn-blue-grey btn-rounded waves-effect btn-sm px-3">
                        <i class="fas fa-trash fa-1x mr-1"></i>Delete
                    </a>
                </div>
        </td>

    </tr>
    {% endfor %}
    </tbody>
</table>

{% if contribs.has_other_pages %}
<div class="row justify-content-center mt-3">
    <a href="{% url 'contrib_list' %}?id={{ staff.id }}" class="btn btn-mdb-color btn-rounded waves-effect">View All Contributions</a>
</div>
{% endif %}
